import request, { newService } from '/@/utils/request';

//获取话术列表
export function getscriptList(data: object) {
	return newService({
		url: '/customer-server/speechcraft/list',
		method: 'get',
		params: data,
	});
}

//增加话术
export function addScript(data: object) {
	return newService({
		url: '/customer-server/speechcraft/add',
		method: 'post',
		data: data,
	});
}

//删除话术列表
export function deleteScript(data: object) {
	return newService({
		url: '/customer-server/speechcraft/delete',
		method: 'post',
		data: data,
	});
}

//更新话术列表
export function updateScript(data: object) {
	return newService({
		url: '/customer-server/speechcraft/update',
		method: 'post',
		data: data,
	});
}
